Subject: Re: linux-next: build failure after merge of the kspp tree

From: Kees Cook <[email-masked]>
Date: Wed, 13 Sep 2023 20:07:26 -0700

On Thu, Sep 14, 2023 at 11:50:36AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kspp tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> In file included from security/selinux/include/initial_sid_to_string.h:3,
>                  from scripts/selinux/genheaders/genheaders.c:19:
> include/uapi/linux/stddef.h:59:2: error: #endif without #if
>    59 | #endif /* _UAPI_LINUX_STDDEF_H */
>       |  ^~~~~
> 
> Caused by commit
> 
>   366c47121bf6 ("uapi: stddef.h: Fix header guard location")
> 
> I have used the kspp tree from next-20230913 for today.

Agh, thanks. That's what I get for last-minute tweak. All errors are
mine; Alexey is innocent. :)

I'll get it fixed.

-- 
Kees Cook